Update Ecosystem

Updates an ecosystem. An optional action query param can be used to determine the scope of the update. Take one of the following values for the action param:

  • updateDatabaseDefaults updates database credentials for the ecosystem
  • updateCDNDefaults updates default CDN for the specific ecosystem

Body: raw JSON

namedescription
name[string] The name of the ecosystem
description[string] Description of the ecosystem

This fields are required if action=updateDatabaseDefaults is provided:

namedescription
defaultDatabaseHost[string] Required. Database's IP address
defaultDatabaseUser[string] Required. Database username
defaultDatabasePassword[string] Required. Database's password

This fields are required if action=updateCDNDefaults is provided:

namedescription
defaultCDNType[string] Required. The name of the CDN service. It is either AKAMAI or Fastly.
defaultCDNPurgeURL[string] Required. CDN's Purge URL
defaultCDNPurgeAuth[string] Required. Secret key
Path Params
string
required

ZUID of the ecosystem to update

Query Params
string

Filters the scope of the update. Accepts updateDatabaseDefaults and updateCDNDefaults.

Body Params

Ecosystem object to update

defaultCDN
object

Required if action=updateCDNDefaults is provided

defaultDatabase
object

Required if action=updateDatabaseDefaults is provided

string
string
Responses

Language
Credentials
Header
Response
Choose an example:
application/json